#!/bin/sh

Result=1

RemoveDir()
{
	target="$1"

	if [ -e "${target}" ] ; then
		if rm -rf "${target}" ; then
			Result=0
		else
			echo "Failed to remove ${target}"
			return 1
		fi
	else
		echo "Not found ${target}"
		return 1
	fi

	return 0
}

RemoveReceipt()
{
	target="$1"

	if  pkgutil --pkg-info "${target}" ; then
		pkgutil --forget   "${target}"
	fi

	return 0
}

RemoveReceipt "jp.co.kcsr.soulnote-d-1.installer"
RemoveDir "/System/Library/Extensions/soulnote_d1_audio.kext"
RemoveDir "/Library/Audio/Plug-Ins/HAL/soulnote_d1_audio.driver"
RemoveDir "/Library/PreferencePanes/soulnote_d1_audio.prefPane"

exit ${Result}
